org.jfree.data.statistics

## Class HistogramBin

- java.lang.Object
- - org.jfree.data.statistics.HistogramBin

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class HistogramBin
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

A bin for the `HistogramDataset` class.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HistogramBin(double startBoundary, double endBoundary)` Creates a new bin.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of the bin.
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`double` `getBinWidth()` Returns the bin width.
`int` `getCount()` Returns the number of items in the bin.
`double` `getEndBoundary()` Returns the end boundary.
`double` `getStartBoundary()` Returns the start boundary.
`void` `incrementCount()` Increments the item count.

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HistogramBin

    public HistogramBin(double startBoundary,
                double endBoundary)

Creates a new bin.

Parameters:
  `startBoundary` - the start boundary.
  `endBoundary` - the end boundary.

### Method Detail

#### getCount

    public int getCount()

Returns the number of items in the bin.

Returns:
  The item count.

#### incrementCount

    public void incrementCount()

Increments the item count.

#### getStartBoundary

    public double getStartBoundary()

Returns the start boundary.

Returns:
  The start boundary.

#### getEndBoundary

    public double getEndBoundary()

Returns the end boundary.

Returns:
  The end boundary.

#### getBinWidth

    public double getBinWidth()

Returns the bin width.

Returns:
  The bin width.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this object for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to test against.
Returns:
  A boolean.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of the bin.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - not thrown by this class.